//
//   Module: omf.h
//  Version: 1.0
//  Release: 101
//     Date: 01/14/93 18:38:43
//
//      Microsoft Object Module Format OMF
//
// 	COPYRIGHT (C) 1992.  All Rights Reserved.
// 	Baumeister Corporation. Granbury, Texas.
//
// Relaeased to the public domain by
//
//      Louis F. Springer
//      Baumeister Corporation
//      2A Thunderbird Cove
//      Granbury, Texas 76049
//      (817)326-5329
//      CIS 73770,1137
//
//
// 1.0  01/14/93 LOU        Initial rev.
//                          ------------------------------------------------
//
// $nokeywords$
//

#define OMF_THEADR 0x80
#define OMF_LHEADR 0x82
#define OMF_COMENT 0x88
#define OMF_C_DEF 0xA0
#define OMF_S_IMPDEF 0x01
#define OMF_S_EXPDEF 0x02
#define OMF_S_INCDEF 0x03
#define OMF_S_LNKDIR 0x05
#define OMF_C_CODEV 0xA1
#define OMF_C_LIBMOD 0xA3
#define OMF_C_EXESTR 0xA4
#define OMF_C_INCERR 0xA6
#define OMF_C_NOPAD 0xA7
#define OMF_C_WKEXT 0xA8
#define OMF_C_LZEXT 0xA9
#define OMF_C_PHARF 0xAA
#define OMF_MODEND1 0x8A
#define OMF_MODEND2 0x8B
#define OMF_EXTDEF 0x8C
#define OMF_TYPDEF 0x8E
#define OMF_PUBDEF1 0x90
#define OMF_PUBDEF2 0x91
#define OMF_LINNUM1 0x94
#define OMF_LINNUM2 0x95
#define OMF_LNAMES 0x96
#define OMF_SEGDEF1 0x98
#define OMF_SEGDEF2 0x99
#define OMF_GRPDEF 0x9A
#define OMF_FIXUPP1 0x9C
#define OMF_FIXUPP2 0x9D
#define OMF_LEDATA1 0xA0
#define OMF_LEDATA2 0xA1
#define OMF_LIDATA1 0xA2
#define OMF_LIDATA2 0xA3
#define OMF_COMDEF 0xB0
#define OMF_BAKPAT1 0xB2
#define OMF_BAKPAT2 0xB3
#define OMF_LEXTDEF1 0xB4
#define OMF_LEXTDEF2 0xB5
#define OMF_LPUBDEF1 0xB6
#define OMF_LPUBDEF2 0xB7
#define OMF_LCOMDEF 0xB8
#define OMF_CEXTDEF 0xBC
#define OMF_COMDAT1 0xC2
#define OMF_COMDAT2 0xC3
#define OMF_LINSYM1 0xC4
#define OMF_LINSYM2 0xC5
#define OMF_ALIAS 0xC6
#define OMF_NBKPAT1 0xC8
#define OMF_NBKPAT2 0xC9
#define OMF_LLNAMES 0xCA

typedef unsigned char BYTE;
typedef unsigned short int WORD;

#pragma pack(1)

// omf record header
typedef struct
{
    BYTE type;
    WORD len;
    } omfhdr;

// omf comment type record info
typedef struct
{
    BYTE cmtType;
    BYTE cmtClass;
    char data[0];
    } omfComent;

typedef struct
{
    BYTE strlen;
    char data[0];
    } omfTheadr;

#pragma pack()

typedef struct
{
    omfhdr hdr;
    void *data;
    BYTE checkSum;
    } omf;

